Hyperion Planning Error:"java.lang.UnsatisfiedLinkError: no HspEssbaseEnv in java.library.path" When Creating a New Datasource (Doc ID 1165364.1)

Last updated on MARCH 26, 2014

Applies to:

Hyperion Planning - Version 11.1.2.0.00 and later
Generic Linux

Symptoms

When creating a new datasource for Hyperion Planning application the following message is displayed:

"An Error Occurred"

The Planning log has the error message:

<Error> <HTTP> <FChypWebDev02> <Planning2> <[ACTIVE] ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'> <> <> <> <1279821965717> <BEA-101017> <[ServletContext@4773789[app:HyperionPlanning module:HyperionPlanning path:/HyperionPlanning spec-version:null]] Root cause of ServletException.
java.lang.UnsatisfiedLinkError: no HspEssbaseEnv in java.library.path
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1709)

Changes

A fresh install of Planning 11.1.2 on a Linux server

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms